Spree::Order.class_eval do
  def serialize_cart_to_granify_format
    return [] if line_items.empty?

    order_items_array = []

    line_items.each do |item|

      if item.variant.present? && item.variant.option_values[0].present?
        title = "#{item.name} #{item.variant.option_values[0].presentation}"
      else
        title = item.name
      end

      order_items_array << { id:       item.sku,
                             quantity: item.quantity,
                             price:    item.price.to_f,
                             title:    title }
    end

    order_items_array.to_json.html_safe
  end

  def serialize_order_to_granify_format
    {
        'currency'               => self.currency,
        'subtotal_price'         => self.item_total.to_f,
        'order_number'           => self.number,
        'total_line_items_price' => self.item_total.to_f,
        'total_tax'              => (self.included_tax_total.to_f + self.additional_tax_total.to_f),
        'total_shipping'         => self.ship_total.to_f,
        'total_price'            => self.total.to_f
    }.to_json.html_safe
  end
end
