module SpreeGranify
  module ViewHelpers
    def initial_granify_script(file, site_id)
      data = ("var GRANIFY_SITE_ID = #{site_id};" + File.read(Rails.root.join(file)))
      javascript_tag(data).html_safe
    end

    def track_page_views(page)
      javascript_tag("Granify.trackPageView({page_type: '#{page}'});").html_safe
    end

    def track_cart_details(cart_order)
      javascript_tag("Granify.trackCart({items: #{cart_order.serialize_cart_to_granify_format}});").html_safe
    end

    def track_complete_order(complete_order)
      javascript_tag("Granify.trackOrder(#{complete_order.serialize_order_to_granify_format});").html_safe
    end
  end
end
